Class | Bio::Hinv::Hix2hit
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::Hix2hit.new serv.query("hix" => "HIX0000004") puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 287
    287:       def initialize
    288:         @url = BASE_URI + "hix2hit.php"
    289:       end

### Public Instance methods

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <H-INVITATIONAL-ID>HIT000012846</H-INVITATIONAL-ID>
     <H-INVITATIONAL-ID>HIT000022124</H-INVITATIONAL-ID>
     <H-INVITATIONAL-ID>HIT000007722</H-INVITATIONAL-ID>
       :
     <H-INVITATIONAL-ID>HIT000262478</H-INVITATIONAL-ID>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 299
    299:       def result
    300:         list = []
    301:         @xml.elements.each('//H-INVITATIONAL-ID') do |e|
    302:           list << e.text
    303:         end
    304:         return list
    305:       end

[Validate]